Перейти к содержанию

headache

Новичок
  • Публикаций

    16
  • Зарегистрирован

  • Посещение

Репутация

0 Обычный

Информация о headache

  • Звание
    Пользователь
  1. Вопрос всем, начиная с 1.4.2 появилась возможность иметь несколько магизнов(витрин), так вот при импорте ассоциация с каким либо из своих магазинов(даже если он один) не проставляется. В итоге, после импорта приходится руками проставлять ассоциацию с магазином(например "Мой магазин" в стандартной поставке). Собственно вопрос, каким образом решить эту проблему ? В формате Excel таблицы нет поля для ассоциации с магазином ? Задач вопрос на eng форуме, но там молчат :shock: UPD: Пока решаем проблему SQL запросом UPDATE product_to_store SET store_id = 1; после импорта новых товаров.
  2. Проблема явно не в в /system/engine/registry.php , у меня он идеентичен вашему и такой ошибки нет.Модуль работает на 1.4.2, проверял на чистой установке, на паре хостингов, в общем на 4х экземплярах работает.
  3. Раз не работает, значит не нормально встал :)Вы на какую версию ставите модуль ? Что то мне подсказывает, что не на 1.4.2 ?
  4. +1 к запросу, серьёзно не хватает информации.Описанной выше информации(шаблона письма) достаточно для комфортной работы!
  5. headache

    Отчет: 1.4.3 rus 0.1

    Не сомневаюсь в вашей оперативности =)Это я к тому что смысла собирать баги в версии 1.4.3 уже особо нет, тем более если они могли быть исправлены в 1.4.4
  6. headache

    Чего добавить в OpenCart?

    Подписываюсь под словами, специально проводил исследование на не искушённых пользователях(с захватом экрана и записью эмоций на лице), так вот все однозначно тупят при попытке сделать заказ, пытаются нажать на "Корзина" в самой корзине, а не по кнопке на панели.Рекорд, около 1,5 минут искали как уже наконец сделать чтобы приступить к оформлению заказа, после наполнения корзины.PS У себя точно сами сделаем там кнопку.
  7. headache

    Отчет: 1.4.3 rus 0.1

    Давайте тогда уже 1.4.4 локализовывать =)
  8. Собрал модуль работающий на 1.4.2 (возможно заработает и на 1.4.4, проверю, позже сообщу).Протестировал несколько раз, вроде всё хорошо. opencart-1-4-2-1export-import.zip
  9. headache

    Отчет: 1.4.3 rus 0.1

    Рад за вас, но что имею, то и пишу :)Доп информация о среде воспроизведения:Apache Version Apache/2.2.3 (Win32) DAV/2 mod_ssl/2.2.3 OpenSSL/0.9.8d mod_autoindex_color PHP/5.2.0 MySQL 5.0.27Хотя не думаю что это чем то поможет.Ещё замечу, что после установки 1.4.3, выставления новых прав на модули и отката на версию 1.4.2 все пункты вкладки Дополнения не отвечают (Страница не найдена!).
  10. headache

    Отчет: 1.4.3 rus 0.1

    Preconditions [*:1bqfbgqc]XAMPP [*:1bqfbgqc]Opencart обновлён с 1.4.2(поставлена начисто) на 1.4.3 . [*:1bqfbgqc]FireFox 3.5.8 Bug 1 - Битая кодировка [*:1bqfbgqc]Входим в админку [*:1bqfbgqc]Переходим в магазины(Система->Управление магазинами) - host/opencart/admin/index.php?route=common/home [*:1bqfbgqc]Жмём Изменить(Мой магазин) [*:1bqfbgqc]Получаем слетевшую кодировку:https://opencartforum.com/download/file.php?mode=view&id=66&sid=8b9af37da75f3c7753a4592d7529336a Bug 2 - Невозможно загрузить картинку [*:1bqfbgqc] Входим в админку [*:1bqfbgqc] Идём в любой web редактор, например редактор товара [*:1bqfbgqc] В web редакторе нажимаем на кнопку вставить картинку https://opencartforum.com/download/file.php?mode=view&id=67&sid=8b9af37da75f3c7753a4592d7529336a [*:1bqfbgqc] В модальном диалоге выбираем вкладку Закачать [*:1bqfbgqc] Выбираем файл на диске и загружаем [*:1bqfbgqc] Пытаемся создать Новую папку для закачиваемого файла. [*:1bqfbgqc] Вёрстка уехала, невозможно создать Новую папку, в итоге невозможно загрузить картинку с диска с помощью этого диалога: https://opencartforum.com/download/file.php?mode=view&id=68&sid=8b9af37da75f3c7753a4592d7529336a Undescribed feature Пока не выставишь кучу новых прав, доступ к разделу админки Дополнения вообще невозможен
  11. Отлично ! Учитывайте этот нюанс, чтобы не делать два раза одну и ту же работу! Спасибо!
  12. Спасибо за наводку, я таки не разработчик, сам бы не разобрался."продвинулся" дальше.Что теперь: Код:protected function getDefaultLanguageId( &$database ) { $code = $this->config->get('config_admin_language'); $sql = "SELECT language_id FROM `".DB_PREFIX."language` WHERE code = '$code'"; [b]$result = $database->query( $sql );[/b] $result = $database->query( $sql ); $languageId = 1; if ($result->rows) { foreach ($result->rows as $row) { $languageId = $row['language_id']; break; } } return $languageId; }Не совсем понял на что ругать, но на всякий случай искомая таблица в базе: Хотя думается что проблема совсем не с sql запросом и базой ...
  13. Попытался установить модуль "opencart-1-4-0-2-export-import" на сборку, "opencart_1.4.2_rus" и сразу столкнулся с проблемой несовместимости:[*:19s11q1b]admin/controller/common/header.php[*:19s11q1b]admin/view/template/common/header.tplИх выправить(точнее правильно смержевать) я ещё смог, модуль установился. Но при попытке обращения к нему сразу вываливается ошибка: Собственно в 47 строке:$this->document->breadcrumbs[] = array( 'href' => $this->url->https('common/home'), 'text' => $this->language->get('text_home'), 'separator' => FALSE );Подозреваю, что это связано с доводкой 1.4.2 под https, однако сам наверное не разберусь... А наш программист сейчас недоступен.Может подскажете ? Или обозначите планы, когда модуль будет адаптироваться под 1.4.2 ? PS В аттаче выложил файлы
  14. При создании различного рода объектов, например голосования или купона, есть возможность ввести англоязычное описание объекта.Так вот если его не ввести, то объект создан не будет.Собственно мне описание на другом языке вообще не нужно, как убрать эту функцию ?
×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.